Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.exist.atom.modules
Class AtomModuleBase

    java.lang.Object
      org.exist.atom.modules.AtomModuleBase

All Implemented Interfaces:
  AtomModule

Direct Known Subclasses:
  AtomFeeds, Query

public class AtomModuleBase
extends java.lang.Object
implements AtomModule

Author:
  R. Alexander Milowski

Nested Class Summary

Nested classes inherited from class org.exist.atom.AtomModule
`AtomModule.Context`

Constructor Summary
`AtomModuleBase()` Creates a new instance of AtomModuleBase

Method Summary
`void` | `doDelete(DBBroker broker, IncomingMessage request, OutgoingMessage response)`
`void` | `doGet(DBBroker broker, IncomingMessage request, OutgoingMessage response)`
`void` | `doHead(DBBroker broker, IncomingMessage request, OutgoingMessage response)`
`void` | `doPost(DBBroker broker, IncomingMessage request, OutgoingMessage response)`
`void` | `doPut(DBBroker broker, IncomingMessage request, OutgoingMessage response)`
`void` | `init(AtomModule.Context context)`
`void` | `process(DBBroker broker, IncomingMessage request, OutgoingMessage response)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AtomModuleBase

    public AtomModuleBase()

  Creates a new instance of AtomModuleBase

Method Detail

### init

    public void init(AtomModule.Context context)
              throws EXistException

  Specified by:
    `init` in interface `AtomModule`
  Throws:
    `EXistException`

### process

    public void process(DBBroker broker,
                        IncomingMessage request,
                        OutgoingMessage response)
                 throws BadRequestException,
                        PermissionDeniedException,
                        NotFoundException,
                        EXistException

  Specified by:
    `process` in interface `AtomModule`
  Throws:
    `BadRequestException`
    `PermissionDeniedException`
    `NotFoundException`
    `EXistException`

### doGet

    public void doGet(DBBroker broker,
                      IncomingMessage request,
                      OutgoingMessage response)
               throws BadRequestException,
                      PermissionDeniedException,
                      NotFoundException,
                      EXistException

  Throws:
    `BadRequestException`
    `PermissionDeniedException`
    `NotFoundException`
    `EXistException`

### doHead

    public void doHead(DBBroker broker,
                       IncomingMessage request,
                       OutgoingMessage response)
                throws BadRequestException,
                       PermissionDeniedException,
                       NotFoundException,
                       EXistException

  Throws:
    `BadRequestException`
    `PermissionDeniedException`
    `NotFoundException`
    `EXistException`

### doPost

    public void doPost(DBBroker broker,
                       IncomingMessage request,
                       OutgoingMessage response)
                throws BadRequestException,
                       PermissionDeniedException,
                       NotFoundException,
                       EXistException

  Throws:
    `BadRequestException`
    `PermissionDeniedException`
    `NotFoundException`
    `EXistException`

### doPut

    public void doPut(DBBroker broker,
                      IncomingMessage request,
                      OutgoingMessage response)
               throws BadRequestException,
                      PermissionDeniedException,
                      NotFoundException,
                      EXistException

  Throws:
    `BadRequestException`
    `PermissionDeniedException`
    `NotFoundException`
    `EXistException`

### doDelete

    public void doDelete(DBBroker broker,
                         IncomingMessage request,
                         OutgoingMessage response)
                  throws BadRequestException,
                         PermissionDeniedException,
                         NotFoundException,
                         EXistException

  Throws:
    `BadRequestException`
    `PermissionDeniedException`
    `NotFoundException`
    `EXistException`

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Wolfgang Meier. All rights reserved.